Package com.collibra.dgc.importer.core.api.request

# Class FileImportRequest.Builder<T extends FileImportRequest,B extends FileImportRequest.Builder<T,B>>

Object
BaseImportRequest.Builder<T,B>
Builder<T,B>

Direct Known Subclasses:
  `SynchronizationBatchRequest.Builder`, `SynchronizationRequest.Builder`

Enclosing class:
  `FileImportRequest`

public static class FileImportRequest.Builder<T extends FileImportRequest,B extends FileImportRequest.Builder<T,B>> extends BaseImportRequest.Builder<T,B>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileImportRequest`
  `build()`
  `B`
  `file(File file)`
  Sets the file containing import request.
  `B`
  `fileId(UUID fileId)`
  Sets the `id` of the file containing import request.
  `B`
  `fileName(String fileName)`
  Sets the name of the file used for import.

  ### Methods inherited from class BaseImportRequest.Builder

  `batchSize, self, sendNotification`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### fileId

    public B fileId(UUID fileId)
    Sets the `id` of the file containing import request.

    NOTE: if this field is used, `FileImportRequest.file` and `FileImportRequest.fileName` should not be set.

    Parameters:
      `fileId` - the `id` of the file containing import request

  - ### file

    public B file(File file)
    Sets the file containing import request.

    NOTE: if this field is used, `FileImportRequest.fileId` should not be set.

    Parameters:
      `file` - the file containing import request

  - ### fileName

    public B fileName(String fileName)
    Sets the name of the file used for import. Should be set if `FileImportRequest.file` is set.

    NOTE: if this field is used, `FileImportRequest.fileId` should not be set.

    Parameters:
      `fileName` - the name of the file used for import

  - ### build

    public FileImportRequest build()
    Overrides:
      `build` in class `BaseImportRequest.Builder<T extends FileImportRequest,B extends FileImportRequest.Builder<T,B>>`